org.keycloak.models

## Interface RealmProvider

- All Superinterfaces:
    Provider
  All Known Subinterfaces:
    CacheRealmProvider
  All Known Implementing Classes:
    JpaRealmProvider, MongoRealmProvider, RealmCacheSession

      public interface RealmProvider
      extends Provider

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientModel` | `addClient(RealmModel realm, String clientId)`
    `ClientModel` | `addClient(RealmModel realm, String id, String clientId)`
    `RoleModel` | `addClientRole(RealmModel realm, ClientModel client, String name)`
    `RoleModel` | `addClientRole(RealmModel realm, ClientModel client, String id, String name)`
    `RoleModel` | `addRealmRole(RealmModel realm, String name)`
    `RoleModel` | `addRealmRole(RealmModel realm, String id, String name)`
    `void` | `addTopLevelGroup(RealmModel realm, GroupModel subGroup)`
    `void` | `close()`
    `GroupModel` | `createGroup(RealmModel realm, String name)`
    `GroupModel` | `createGroup(RealmModel realm, String id, String name)`
    `RealmModel` | `createRealm(String name)`
    `RealmModel` | `createRealm(String id, String name)`
    `ClientModel` | `getClientByClientId(String clientId, RealmModel realm)`
    `ClientModel` | `getClientById(String id, RealmModel realm)`
    `RoleModel` | `getClientRole(RealmModel realm, ClientModel client, String name)`
    `Set<RoleModel>` | `getClientRoles(RealmModel realm, ClientModel client)`
    `List<ClientModel>` | `getClients(RealmModel realm)`
    `ClientTemplateModel` | `getClientTemplateById(String id, RealmModel realm)`
    `GroupModel` | `getGroupById(String id, RealmModel realm)`
    `List<GroupModel>` | `getGroups(RealmModel realm)`
    `MigrationModel` | `getMigrationModel()`
    `RealmModel` | `getRealm(String id)`
    `RealmModel` | `getRealmByName(String name)`
    `RoleModel` | `getRealmRole(RealmModel realm, String name)`
    `Set<RoleModel>` | `getRealmRoles(RealmModel realm)`
    `List<RealmModel>` | `getRealms()`
    `RoleModel` | `getRoleById(String id, RealmModel realm)`
    `List<GroupModel>` | `getTopLevelGroups(RealmModel realm)`
    `void` | `moveGroup(RealmModel realm, GroupModel group, GroupModel toParent)`
    `boolean` | `removeClient(String id, RealmModel realm)`
    `boolean` | `removeGroup(RealmModel realm, GroupModel group)`
    `boolean` | `removeRealm(String id)`
    `boolean` | `removeRole(RealmModel realm, RoleModel role)`

- - ### Method Detail

    - #### getMigrationModel

          MigrationModel getMigrationModel()

    - #### createRealm

          RealmModel createRealm(String name)

    - #### createRealm

          RealmModel createRealm(String id,
                                 String name)

    - #### getRealm

          RealmModel getRealm(String id)

    - #### getRealmByName

          RealmModel getRealmByName(String name)

    - #### moveGroup

          void moveGroup(RealmModel realm,
                         GroupModel group,
                         GroupModel toParent)

    - #### getGroups

          List<GroupModel> getGroups(RealmModel realm)

    - #### getTopLevelGroups

          List<GroupModel> getTopLevelGroups(RealmModel realm)

    - #### removeGroup

          boolean removeGroup(RealmModel realm,
                              GroupModel group)

    - #### createGroup

          GroupModel createGroup(RealmModel realm,
                                 String name)

    - #### createGroup

          GroupModel createGroup(RealmModel realm,
                                 String id,
                                 String name)

    - #### addTopLevelGroup

          void addTopLevelGroup(RealmModel realm,
                                GroupModel subGroup)

    - #### addClient

          ClientModel addClient(RealmModel realm,
                                String clientId)

    - #### addClient

          ClientModel addClient(RealmModel realm,
                                String id,
                                String clientId)

    - #### getClients

          List<ClientModel> getClients(RealmModel realm)

    - #### getClientById

          ClientModel getClientById(String id,
                                    RealmModel realm)

    - #### getClientByClientId

          ClientModel getClientByClientId(String clientId,
                                          RealmModel realm)

    - #### addRealmRole

          RoleModel addRealmRole(RealmModel realm,
                                 String name)

    - #### addRealmRole

          RoleModel addRealmRole(RealmModel realm,
                                 String id,
                                 String name)

    - #### getRealmRole

          RoleModel getRealmRole(RealmModel realm,
                                 String name)

    - #### addClientRole

          RoleModel addClientRole(RealmModel realm,
                                  ClientModel client,
                                  String name)

    - #### addClientRole

          RoleModel addClientRole(RealmModel realm,
                                  ClientModel client,
                                  String id,
                                  String name)

    - #### getRealmRoles

          Set<RoleModel> getRealmRoles(RealmModel realm)

    - #### getClientRole

          RoleModel getClientRole(RealmModel realm,
                                  ClientModel client,
                                  String name)

    - #### getClientRoles

          Set<RoleModel> getClientRoles(RealmModel realm,
                                        ClientModel client)

    - #### removeRole

          boolean removeRole(RealmModel realm,
                             RoleModel role)

    - #### getRoleById

          RoleModel getRoleById(String id,
                                RealmModel realm)

    - #### removeClient

          boolean removeClient(String id,
                               RealmModel realm)

    - #### getClientTemplateById

          ClientTemplateModel getClientTemplateById(String id,
                                                    RealmModel realm)

    - #### getGroupById

          GroupModel getGroupById(String id,
                                  RealmModel realm)

    - #### getRealms

          List<RealmModel> getRealms()

    - #### removeRealm

          boolean removeRealm(String id)

    - #### close

          void close()

      Specified by:
        `close` in interface `Provider`

Copyright © 2016 JBoss by Red Hat. All rights reserved.